Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 655416 - app-i18n/tagainijisho: Add Qt-5-compatible snapshot
Summary: app-i18n/tagainijisho: Add Qt-5-compatible snapshot
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Denis Dupeyron
URL: https://github.com/Gnurou/tagainijish...
Whiteboard:
Keywords:
Depends on:
Blocks: qt4-removal
  Show dependency tree
 
Reported: 2018-05-10 20:34 UTC by Arfrever Frehtes Taifersar Arahesis
Modified: 2018-06-13 14:36 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arfrever Frehtes Taifersar Arahesis 2018-05-10 20:34:47 UTC
master branch of https://github.com/Gnurou/tagainijisho has been using Qt 5 instead of Qt 4 for months.
Snapshot should be added, until upstream releases new version.
Comment 1 Denis Dupeyron gentoo-dev 2018-05-10 21:03:59 UTC
(In reply to Arfrever Frehtes Taifersar Arahesis from comment #0)
> master branch of https://github.com/Gnurou/tagainijisho has been using Qt 5
> instead of Qt 4 for months.
> Snapshot should be added, until upstream releases new version.

Have you tried building it?
Comment 2 Arfrever Frehtes Taifersar Arahesis 2018-05-30 01:26:01 UTC
I have created live ebuild (app-i18n/tagainijisho-9999) and installed it some days ago.
It generally works, but I have not checked each feature.
Some formatting of fonts etc. seems strange.

As a first step, can I add app-i18n/tagainijisho-9999 to the tree?
Comment 3 Denis Dupeyron gentoo-dev 2018-05-30 01:51:39 UTC
(In reply to Arfrever Frehtes Taifersar Arahesis from comment #2)
> I have created live ebuild (app-i18n/tagainijisho-9999) and installed it
> some days ago.
> It generally works, but I have not checked each feature.
> Some formatting of fonts etc. seems strange.

Thanks! I'm looking forward to check it out.

> As a first step, can I add app-i18n/tagainijisho-9999 to the tree?

Go for it. And don't hesitate to add yourself to the metadata if you want to.
:o)

By the way. I'm going to be in Japan for the entire month of July and probably in the mountains (i.e., completely off-grid) most of this time. Feel free to do whatever you think is needed with this package in the meantime.
Comment 4 Larry the Git Cow gentoo-dev 2018-06-13 14:36:41 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=46ce0b0752c898909b46da787b856a503f3829d8

commit 46ce0b0752c898909b46da787b856a503f3829d8
Author:     Arfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org>
AuthorDate: 2018-06-13 04:25:31 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2018-06-13 14:36:22 +0000

    app-i18n/tagainijisho: Add snapshot and live ebuild.
    
    Closes: https://bugs.gentoo.org/655416

 app-i18n/tagainijisho/Manifest                     |   4 +
 .../tagainijisho-1.2.0_pre20180610092832.ebuild    | 189 +++++++++++++++++++++
 app-i18n/tagainijisho/tagainijisho-9999.ebuild     | 189 +++++++++++++++++++++
 3 files changed, 382 insertions(+)